project-navigation
Personal tools

Author Topic: 2.3 dev version for mac question  (Read 22218 times)

gothgod

  • Guest
Re: 2.3 dev version for mac question
« Reply #30 on: January 04, 2009, 12:05:48 am »
So I had also problems to compile this for mac, used fink and the info in the wiki was not enough. In addition to those already mentioned in the wiki, I had to add these installations:

sudo fink install glib2-dev gtk+2-dev gtkglext1 pango1-dev pango1-xft2-dev atk1 libgettext3-dev

I guess that something about this is wrong because the game hung almost immediately after start, but anyway... Hope this helps anyone.

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: 2.3 dev version for mac question
« Reply #31 on: January 04, 2009, 12:33:21 am »
thanks - i've updated the wiki entry

doc.torr

  • Guest
Re: 2.3 dev version for mac question
« Reply #32 on: January 04, 2009, 02:27:26 am »
Gothgod, are you on an Intel or PPC Mac?

OS X 10.5.5?

These packages are not the Universal/intel versions via Fink? (actually, that's more a statement than a question)

Ta for help!

commiesalami

  • Guest
Re: 2.3 dev version for mac question
« Reply #33 on: January 22, 2009, 09:44:07 am »
When running the 'make macinstaller' command it gives the following error:

msgfmt -v -o base/i18n/bg/LC_MESSAGES/ufoai.mo src/po/ufoai-bg.po
make: msgfmt: Command not found
make: *** [base/i18n/bg/LC_MESSAGES/ufoai.mo] Error 127

looking around this is an error with gettext, but according to fink I do not need to install either gettext or gettext-dev.

ced-155-40:trunk Charlie$ fink install gettext
Information about 2534 packages read in 0 seconds.
No packages to install.
ced-155-40:trunk Charlie$ fink install gettext-dev
Information about 2534 packages read in 0 seconds.
No packages to install.


commiesalami

  • Guest
Re: 2.3 dev version for mac question
« Reply #34 on: January 23, 2009, 08:19:38 am »
Never mind, I've fixed my problems via the 'fink scanpackages' command

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: 2.3 dev version for mac question
« Reply #35 on: January 24, 2009, 01:30:08 pm »
can you please add this to the mac wiki site, too? maybe this info helps others, too

Offline keybounce

  • Sergeant
  • *****
  • Posts: 330
    • View Profile
Re: 2.3 dev version for mac question
« Reply #36 on: March 09, 2009, 04:46:35 am »
If I have XCode installed, how much more space do I need to compile 2.3 for PPC?

Source code, object code, final package, all the libraries that need to be downloaded and compiled, etc.

Are we talking 2G, 5G, or 10G?

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2555
    • View Profile
Re: 2.3 dev version for mac question
« Reply #37 on: March 09, 2009, 12:17:32 pm »
About two, I guess, but not more than five. (shouldn't be more IMO)

-geever

Offline Sagittario

  • Cannon Fodder
  • **
  • Posts: 7
    • View Profile
Re: 2.3 dev version for mac question
« Reply #38 on: December 05, 2009, 08:32:47 pm »
Well, I suppose I'm effectively in the same boat. I know about and can use gcc for some very basic programming, but I know nothing about make files and I know very few of the unix commands. I have fink (or so I believe, anyway), but I've never used it.

I try running line 1, and it asks me for my password. I don't even know what that is... how do I set it?

Offline Sagittario

  • Cannon Fodder
  • **
  • Posts: 7
    • View Profile
Re: 2.3 dev version for mac question
« Reply #39 on: December 06, 2009, 05:55:54 am »
Update: I found a way around the password problem, but after running the fink command (the first line on the wiki), I get the following error message:

Failed: no package found for specification 'gtksourceview2'!

How do I get/make it able to get this package?

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2555
    • View Profile
Re: 2.3 dev version for mac question
« Reply #40 on: December 06, 2009, 09:15:46 am »
I don't know macs but gtksourceview2 is needed for the mapeditor only. you can disable it with
Code: [Select]
./configure --disable-uforadiant

-geever

Offline Sagittario

  • Cannon Fodder
  • **
  • Posts: 7
    • View Profile
Re: 2.3 dev version for mac question
« Reply #41 on: December 06, 2009, 07:01:53 pm »
I can't even get to that step. It's failing on line 1.

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2555
    • View Profile
Re: 2.3 dev version for mac question
« Reply #42 on: December 06, 2009, 07:27:07 pm »
I can't even get to that step. It's failing on line 1.

Ok, I don't even know what line 1 is... :)

-geever

Offline Sagittario

  • Cannon Fodder
  • **
  • Posts: 7
    • View Profile
Re: 2.3 dev version for mac question
« Reply #43 on: December 07, 2009, 06:51:36 am »
I took the gtksourceview2 command out, and I am now asked the following:


fink needs help picking an alternative to satisfy a virtual dependency. The
candidates:

(1)   db44-aes-shlibs: Shared Libraries for db44-aes
(2)   db44-shlibs: Shared Libraries for db44



What should I pick?

Offline Sagittario

  • Cannon Fodder
  • **
  • Posts: 7
    • View Profile
Re: 2.3 dev version for mac question
« Reply #44 on: December 09, 2009, 09:48:53 pm »
Edit: Solved that problem. It now says that I need the OGG development headers. What are they and how do I get them?
« Last Edit: December 09, 2009, 10:28:37 pm by Sagittario »